#ifndef _MOUSE_INTERFACE_H
#define _MOUSE_INTERFACE_H

class QMouseEvent;
class QKeyEvent;
class QWheelEvent;
class GlGraphWidget;
///
class MouseInterface
{
 public:
  MouseInterface() {}
  virtual ~MouseInterface() {}
  virtual void mPressEvent(GlGraphWidget *,QMouseEvent *)=0;
  virtual void mReleaseEvent(GlGraphWidget *,QMouseEvent *)=0;
  virtual void mMoveEvent(GlGraphWidget *,QMouseEvent *)=0;
  virtual void mPaint(GlGraphWidget *){};
  virtual void keyPressEvent (GlGraphWidget *, QKeyEvent *)=0;
  virtual void keyReleaseEvent(GlGraphWidget *, QKeyEvent *)=0;
  virtual void wheelEvent(GlGraphWidget *, QWheelEvent *)=0;
};

#endif






